{% extends 'base.html.twig' %}
{% block body %}
    
 <link rel="stylesheet" href="{{ asset('assets/style.css') }}">

<div class="profile">
<div>
<h1>Profil</h1>

<p>Nom : {{ client.nom }}</p>
<p>Prénom : {{ client.prenom }}</p>
<p>Email : {{ client.email }}</p>
</div>
<div class="profildroit">
 <form class="seconnecter">
   <img src="{{ asset('assets/fondo.jpeg') }}" class="profile-picture" alt="..."> 
  </form>
</div>
</div>

<ul class="nav  justify-content-center" style="background-color:white" >
  <li class="nav-item">
    <a class="nav-link" href="../"style="  color: black">Acueil</a>
  </li>
  <li class="nav-item">
    <a class="nav-link  active"style="  color: black" href="#" onclick="showContent('transaction')">Transaction</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="#"style="  color: black" onclick="showContent('article')">Article</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="#"style="  color: black" onclick="showContent('commande')">Commande</a>
  </li>
  
</ul>

<div class="trans transaction-content">
  <h2>Liste des transactions</h2>
  <!-- Contenu des transactions -->

 
<ul>
    {% for tran in tran %}
        <li>
             {{ tran.id }}
            Montant : {{ tran.montant }}f cfa,
            type: {{tran.type}},
            Date : {{ tran.date|date('Y/m/d') }}      
 
        </li>
    {% endfor %}
</ul>

</div>

<div class="trans article-content" style="display: none;">
  <h2>Liste des articles</h2>
  <!-- Contenu des articles -->
</div>

<div class="trans commande-content" style="display: none;">
  <h2>Liste des commandes</h2>
  <!-- Contenu des commandes -->
</div>

<script>
  function showContent(content) {
    var contents = document.querySelectorAll(".trans");
    
    contents.forEach(function(element) {
      element.style.display = "none";
    });

    var selectedContent = document.querySelector("." + content + "-content");
    selectedContent.style.display = "block";
  }
</script>



{% endblock %}